package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Telephony devices.
 */
@ApiModel(description = "Telephony devices.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class DeviceOpenApiVo   {
  @JsonProperty("telephony device id")
  private Integer telephonyDeviceId;

  public DeviceOpenApiVo telephonyDeviceId(Integer telephonyDeviceId) {
    this.telephonyDeviceId = telephonyDeviceId;
    return this;
  }

  /**
   * telephony device id
   * @return telephonyDeviceId
  */
  @ApiModelProperty(value = "telephony device id")


  public Integer getTelephonyDeviceId() {
    return telephonyDeviceId;
  }

  public void setTelephonyDeviceId(Integer telephonyDeviceId) {
    this.telephonyDeviceId = telephonyDeviceId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceOpenApiVo deviceOpenApiVo = (DeviceOpenApiVo) o;
    return Objects.equals(this.telephonyDeviceId, deviceOpenApiVo.telephonyDeviceId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(telephonyDeviceId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceOpenApiVo {\n");
    
    sb.append("    telephonyDeviceId: ").append(toIndentedString(telephonyDeviceId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

